Oracle TimesTen evtdump Remote Format String Vulnerability

ID ZDI-09-004
Type zdi
Reporter Joxean Koret
Modified 2009-11-09T00:00:00


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Oracle TimesTen. User interaction is not required to exploit this vulnerability.

The specific flaw exists in the evtdump CGI module, which is used to write to an internal log file. The parameter 'msg' does not properly sanitize format string tokens and can be exploited to execute arbitrary code.